#!/bin/sh
set -x

make DEBUG=INFO EXST=yes EXST_ADJUST_VMA=0x90100000 TARGET=STM32H723 EXTRA_FLAGS="\
-D'TARGET_BOARD_IDENTIFIER=\"H723\"' \
-D'USBD_PRODUCT_STRING=\"Nucleo-H723-MMAPPED\"' \
\
-D'EEPROM_SIZE=8192' \
\
-DUSE_BUTTONS \
-D'BUTTON_A_PIN=PC13' \
-DBUTTON_A_PIN_INVERTED \
-D'BUTTON_B_PIN=PC13' \
-DBUTTON_B_PIN_INVERTED \
\
-DUSE_OCTOSPI \
-DUSE_OCTOSPI_DEVICE_1 \
-D'OCTOSPIM_P1_SCK_PIN=PB2' \
-D'OCTOSPIM_P1_CS_PIN=PB6' \
-D'OCTOSPIM_P1_IO0_PIN=PD11' \
-D'OCTOSPIM_P1_IO1_PIN=PD12' \
-D'OCTOSPIM_P1_IO2_PIN=PE2' \
-D'OCTOSPIM_P1_IO3_PIN=PD13' \
-D'OCTOSPIM_P1_IO4_PIN=NONE' \
-D'OCTOSPIM_P1_IO5_PIN=NONE' \
-D'OCTOSPIM_P1_IO6_PIN=NONE' \
-D'OCTOSPIM_P1_IO7_PIN=NONE' \
\
-D'OCTOSPIM_P1_MODE=OCTOSPIM_P1_MODE_IO03_ONLY' \
-D'OCTOSPIM_P1_CS_FLAGS=(OCTOSPIM_P1_CS_HARDWARE)' \
\
-DUSE_SPI \
\
-DUSE_SPI_DEVICE_1 \
-D'SPI1_SCK_PIN=PB3' \
-D'SPI1_MISO_PIN=PB4' \
-D'SPI1_MOSI_PIN=PB5' \
\
-DUSE_SPI_DEVICE_2 \
-D'SPI2_SCK_PIN=NONE' \
-D'SPI2_MISO_PIN=NONE' \
-D'SPI2_MOSI_PIN=NONE' \
\
-DUSE_SPI_DEVICE_3 \
-D'SPI3_SCK_PIN=PC10' \
-D'SPI3_MISO_PIN=PC11' \
-D'SPI3_MOSI_PIN=PC12' \
\
-DUSE_SPI_DEVICE_4 \
-D'SPI4_SCK_PIN=NONE' \
-D'SPI4_MISO_PIN=NONE' \
-D'SPI4_MOSI_PIN=NONE' \
\
-DUSE_SPI_DEVICE_5 \
-D'SPI5_SCK_PIN=NONE' \
-D'SPI5_MISO_PIN=NONE' \
-D'SPI5_MOSI_PIN=NONE' \
\
-DUSE_SPI_DEVICE_6 \
-D'SPI6_SCK_PIN=NONE' \
-D'SPI6_MISO_PIN=NONE' \
-D'SPI6_MOSI_PIN=NONE' \
\
-DUSE_FLASH_TOOLS \
-DUSE_FLASH_W25Q128FV \
-DUSE_FLASH_MEMORY_MAPPED \
-DCONFIG_IN_MEMORY_MAPPED_FLASH \
-D'FLASH_SPI_INSTANCE=NULL' \
-D'FLASH_CS_PINS=NONE' \
\
-DUSE_SDCARD \
-D'SDCARD_DETECT_PIN=NONE' \
-D'SDIO_DEVICE=SDIODEV_2' \
-D'SDIO_USE_4BIT=false' \
-D'SDIO_CK_PIN=PD6' \
-D'SDIO_CMD_PIN=PD7' \
-D'SDIO_D0_PIN=PB14' \
-D'SDIO_D1_PIN=NONE' \
-D'SDIO_D2_PIN=NONE' \
-D'SDIO_D3_PIN=NONE' \
\
-D'TARGET_IO_PORTA=0xffff' \
-D'TARGET_IO_PORTB=0xffff' \
-D'TARGET_IO_PORTC=0xffff' \
-D'TARGET_IO_PORTD=0xffff' \
-D'TARGET_IO_PORTE=0xffff' \
-D'TARGET_IO_PORTF=0xffff' \
-D'TARGET_IO_PORTG=0xffff' \
\
-DUSE_USB_ID \
\
-DUSE_I2C \
-DUSE_I2C_DEVICE_1 \
-D'I2C1_SCL=PB8' \
-D'I2C1_SDA=PB9' \
-D'I2C_DEVICE=(I2CDEV_1)' \
\
-DUSE_ACC \
-DUSE_ACC_SPI_MPU6500 \
-DUSE_GYRO \
-DUSE_GYRO_SPI_MPU6500 \
\
-D'ADC1_DMA_OPT=8' \
-D'ADC2_DMA_OPT=9' \
-D'ADC3_DMA_OPT=10' \
\
-DENABLE_BLACKBOX_LOGGING_ON_SDCARD_BY_DEFAULT \
"