#!/bin/sh
set -x

make DEBUG=INFO TARGET=STM32H750 EXTRA_FLAGS="\
-D'TARGET_BOARD_IDENTIFIER=\"SP7E\"' \
-D'USBD_PRODUCT_STRING=\"SPRacingH7EXTREME\"' \
\
-D'EEPROM_SIZE=8192' \
-DUSE_SPRACING_PERSISTENT_RTC_WORKAROUND \
\
-DUSE_BUTTONS  \
-D'BUTTON_A_PIN=PE4' \
-DBUTTON_A_PIN_INVERTED \
-D'BUTTON_B_PIN=PE4' \
-DBUTTON_B_PIN_INVERTED \
\
-DUSE_QUADSPI \
-DUSE_QUADSPI_DEVICE_1 \
-D'QUADSPI1_SCK_PIN=PB2' \
-D'QUADSPI1_BK1_IO0_PIN=PD11' \
-D'QUADSPI1_BK1_IO1_PIN=PD12' \
-D'QUADSPI1_BK1_IO2_PIN=PE2' \
-D'QUADSPI1_BK1_IO3_PIN=PD13' \
-D'QUADSPI1_BK1_CS_PIN=PB10' \
-D'QUADSPI1_BK2_IO0_PIN=PE7' \
-D'QUADSPI1_BK2_IO1_PIN=PE8' \
-D'QUADSPI1_BK2_IO2_PIN=PE9' \
-D'QUADSPI1_BK2_IO3_PIN=PE10' \
-D'QUADSPI1_BK2_CS_PIN=NONE' \
-D'QUADSPI1_MODE=QUADSPI_MODE_BK1_ONLY' \
-D'QUADSPI1_CS_FLAGS=(QUADSPI_BK1_CS_HARDWARE | QUADSPI_BK2_CS_NONE | QUADSPI_CS_MODE_LINKED )' \
\
-DUSE_SPI \
\
-DUSE_SPI_DEVICE_2 \
-D'SPI2_SCK_PIN=PD3' \
-D'SPI2_MISO_PIN=PC2' \
-D'SPI2_MOSI_PIN=PC3' \
-D'SPI2_NSS_PIN=PB12' \
\
-DUSE_SPI_DEVICE_3 \
-D'SPI3_SCK_PIN=PB3' \
-D'SPI3_MISO_PIN=PB4' \
-D'SPI3_MOSI_PIN=PD6' \
-D'SPI3_NSS_PIN=PA15' \
\
-DUSE_SPI_DEVICE_4 \
-D'SPI4_SCK_PIN=PE12' \
-D'SPI4_MISO_PIN=PE13' \
-D'SPI4_MOSI_PIN=PE14' \
-D'SPI4_NSS_PIN=PE11' \
\
-DUSE_FLASH_TOOLS \
-DUSE_FLASH_W25N01G \
-D'FLASH_QUADSPI_INSTANCE=QUADSPI' \
-DCONFIG_IN_EXTERNAL_FLASH \
\
-DUSE_SDCARD \
-D'SDCARD_DETECT_PIN=PD10' \
-DSDCARD_DETECT_INVERTED \
-D'SDIO_DEVICE=SDIODEV_1' \
-D'SDIO_USE_4BIT=true' \
-D'SDIO_CK_PIN=PC12' \
-D'SDIO_CMD_PIN=PD2' \
-D'SDIO_D0_PIN=PC8' \
-D'SDIO_D1_PIN=PC9' \
-D'SDIO_D2_PIN=PC10' \
-D'SDIO_D3_PIN=PC11' \
\
-D'TARGET_IO_PORTA=0xffff' \
-D'TARGET_IO_PORTB=0xffff' \
-D'TARGET_IO_PORTC=0xffff' \
-D'TARGET_IO_PORTD=0xffff' \
-D'TARGET_IO_PORTE=0xffff' \
-D'TARGET_IO_PORTF=0xffff' \
-D'TARGET_IO_PORTG=0xffff' \
\
-DUSE_USB_ID \
\
-DUSE_I2C \
-DUSE_I2C_DEVICE_1 \
-D'I2C1_SCL=PB8' \
-D'I2C1_SDA=PB9' \
-D'I2C_DEVICE=(I2CDEV_1)' \
\
-DUSE_ACC \
-DUSE_ACC_SPI_MPU6500 \
-DUSE_GYRO \
-DUSE_GYRO_SPI_MPU6500 \
-DENSURE_MPU_DATA_READY_IS_LOW \
\
-DUSE_PID_AUDIO \
-DVTX_RTC6705_OPTIONAL \
\
-D'ADC1_DMA_OPT=8' \
-D'ADC3_DMA_OPT=9' \
\
-DUSE_FLASHFS \
-DENABLE_BLACKBOX_LOGGING_ON_SDCARD_BY_DEFAULT \
\
"

# Settings that are currently defined in target/common_pre.h for non-cloud builds that probably shouldn't be.
# There are here to illustrate that they SHOULD be included in THIS target when they are removed by default.

#-DUSE_MAG \
#-DUSE_MAG_HMC5883 \
#-DUSE_MAG_QMC5883 \
#-DUSE_BARO \
#-DUSE_BARO_BMP388 \
#-DUSE_TRANSPONDER \
#-DUSE_OSD \
#-DUSE_MAX7456 \
#-DUSE_VTX_COMMON \
#-DUSE_VTX_CONTROL \
#-DUSE_VTX_RTC6705_SOFTSPI \
